summaryrefslogtreecommitdiffstats
path: root/kdialog/test
diff options
context:
space:
mode:
authortoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
committertoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
commit4aed2c8219774f5d797760606b8489a92ddc5163 (patch)
tree3f8c130f7d269626bf6a9447407ef6c35954426a /kdialog/test
downloadtdebase-4aed2c8219774f5d797760606b8489a92ddc5163.tar.gz
tdebase-4aed2c8219774f5d797760606b8489a92ddc5163.zip
Copy the KDE 3.5 branch to branches/trinity for new KDE 3.5 features.
BUG:215923 git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/kdebase@1054174 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
Diffstat (limited to 'kdialog/test')
-rwxr-xr-xkdialog/test74
1 files changed, 74 insertions, 0 deletions
diff --git a/kdialog/test b/kdialog/test
new file mode 100755
index 000000000..0d41dbb0a
--- /dev/null
+++ b/kdialog/test
@@ -0,0 +1,74 @@
+#!/bin/sh
+echo "yesno box:"
+./kdialog --geometry 400x300+100+50 --title "This is a yesno box" --yesno "Choose: yes or no"
+if [ $? = 0 ]; then
+ echo " your choice was: yes"
+else
+ echo " your choice was: no"
+fi
+
+echo "continue or cancel warning box:"
+./kdialog --geometry 200x300+100-50 --title "This is a warningcontinuecancel box" --warningcontinuecancel "Choose: continue or cancel"
+if [ $? = 0 ]; then
+ echo " your choice was: continue"
+else
+ echo " your choice was: cancel"
+fi
+
+echo "message box:"
+./kdialog --geometry 300x400-100-50 --title "This is a message" --msgbox "Well, this is it:\nthe message"
+
+echo "input box:"
+./kdialog --title "This is a input box" --inputbox "What is your name" "Joe User"
+if [ $? = 0 ]; then
+ echo " you accepted"
+else
+ echo " you did not accept"
+fi
+
+echo "input box, with geometry:"
+./kdialog --geometry 300x400-100-50 --title "This is a input box" --inputbox "What is your name" "Joe User"
+if [ $? = 0 ]; then
+ echo " you accepted"
+else
+ echo " you did not accept"
+fi
+
+echo "text box:"
+./kdialog --geometry 300x400-100-50 --miniicon "about_kde" --title "This is a text box" --textbox widgets.h 400 300
+
+echo "menu:"
+./kdialog --miniicon "about_kde" --geometry 300x400-100-50 --title "This is a menu" --default "French" --menu "Choose one of these" a English b German c French d Spanish
+
+echo "checklist:"
+./kdialog --geometry 400x300+100+50 --miniicon "about_kde" --title "This is a checklist" --checklist "Choose some of these" a English on b German off c French off d Spanish on
+
+echo "radiolist:"
+./kdialog --geometry 400x300+100+50 --miniicon "about_kde" --title "This is a radiolist" --radiolist "Choose one of these" a English off b German off c French on d Spanish off
+
+echo "combobox:"
+./kdialog --geometry 400x300+100+50 --miniicon "about_kde" --default "Chocolate" --title "This is a combobox" --combobox "Pick your favorite ice-cream flavor:" "Vanilla" "Chocolate" "Strawberry" "Fudge"
+
+echo "passivepopup:"
+./kdialog --geometry 1x1+200+350 --title "This is a passive popup" --passivepopup "It will disappear in about 10 seconds" 10
+
+echo "password:"
+./kdialog --title "This is a password dialog" --geometry 400x300+100+50 --icon "desktop" --miniicon "about_kde" --password "Enter the password:"
+
+echo "Open File:"
+./kdialog --getopenfilename . "*.cpp *.cc *.c |C and C++ Source Files"
+
+echo "Open multiple files:"
+./kdialog --multiple --getopenfilename . "*.cpp *.cc *.c |C and C++ Source Files"
+
+echo "Open multiple files, output on separate lines:"
+./kdialog --multiple --separate-output --getopenfilename . "*.cpp *.cc *.c |C and C++ Source Files"
+
+echo "Open URL:"
+./kdialog --getopenurl . "*.cpp *.cc *.c |C and C++ Source Files"
+
+echo "Open multiple URLs:"
+./kdialog --multiple --getopenurl . "*.cpp *.cc *.c |C and C++ Source Files"
+
+echo "Open multiple URLs, output on separate lines:"
+./kdialog --multiple --separate-output --getopenurl . "*.cpp *.cc *.c |C and C++ Source Files"